View Issue Details

IDProjectCategoryView StatusLast Update
0004219Path[FreeCAD] Bugpublic2020-01-04 21:09
Reporterchrisb Assigned Tomlampert  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.19 
Target VersionFixed in Version[FreeCAD] 0.19 
Summary0004219: PathPocket extensions not created correctly
DescriptionExample is attached to this forum post.
TagsNo tags attached.
FreeCAD InformationOS: macOS High Sierra (10.13)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.18829 (Git)
Build type: Release
Branch: master
Hash: 186d52ffd47696fadcd91369365e97f084051e7b
Python version: 3.7.3
Qt version: 5.12.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/Germany (en_DE)

Activities

freman

2019-12-17 00:35

reporter   ~0013918

I've produces a model doing what OP on the thread wanted, without triggering the bug. If a pocket is made into the middle of the body, the bug is triggered. Also if a boolean-common is done on the exterior wall the bug is triggered.

https://forum.freecadweb.org/viewtopic.php?f=15&t=41508&start=10#p354435

mlampert

2020-01-04 21:09

developer   ~0013981

https://github.com/FreeCAD/FreeCAD/pull/2861/commits/4d88018edfd981fe434790b9133d0f262a986552

Related Changesets

FreeCAD: master 4d88018e

2020-01-01 23:42:35

mlampert

Details Diff
Sorting edges before making a wire is required for all edges to be included, issue 0004219 Affected Issues
0004219
mod - src/Mod/Path/PathScripts/PathPocketShape.py Diff File

Issue History

Date Modified Username Field Change
2019-12-08 12:43 chrisb New Issue
2019-12-17 00:35 freman Note Added: 0013918
2020-01-01 23:41 mlampert Assigned To => mlampert
2020-01-01 23:41 mlampert Status new => assigned
2020-01-04 20:32 mlampert Changeset attached => FreeCAD master 4d88018e
2020-01-04 21:09 mlampert Status assigned => closed
2020-01-04 21:09 mlampert Resolution open => fixed
2020-01-04 21:09 mlampert Fixed in Version => 0.19
2020-01-04 21:09 mlampert Note Added: 0013981